Package com.dropbox.core.v2.files
Class SharedLinkFileInfo
java.lang.Object
com.dropbox.core.v2.files.SharedLinkFileInfo
-
Nested Class Summary
Nested Classes -
Field Summary
Fields -
Constructor Summary
ConstructorsConstructorDescriptionSharedLinkFileInfo(String url) NoneSharedLinkFileInfo(String url, String path, String password) UsenewBuilder(java.lang.String)to create instances of this class without specifying values for all optional fields. -
Method Summary
Modifier and TypeMethodDescriptionbooleanPassword for the shared link.getPath()The path corresponding to a file in a shared link to a folder.getUrl()The shared link corresponding to either a file or shared link to a folder.inthashCode()static SharedLinkFileInfo.BuildernewBuilder(String url) Returns a new builder for creating an instance of this class.toString()Returns a String representation of this object formatted for easier readability.
-
Field Details
-
url
-
path
-
password
-
-
Constructor Details
-
SharedLinkFileInfo
UsenewBuilder(java.lang.String)to create instances of this class without specifying values for all optional fields.- Parameters:
url- The shared link corresponding to either a file or shared link to a folder. If it is for a folder shared link, we use the path param to determine for which file in the folder the view is for. Must not benull.path- The path corresponding to a file in a shared link to a folder. Required for shared links to folders.password- Password for the shared link. Required for password-protected shared links to files unless it can be read from a cookie.- Throws:
IllegalArgumentException- If any argument does not meet its preconditions.
-
SharedLinkFileInfo
NoneThe default values for unset fields will be used.
- Parameters:
url- The shared link corresponding to either a file or shared link to a folder. If it is for a folder shared link, we use the path param to determine for which file in the folder the view is for. Must not benull.- Throws:
IllegalArgumentException- If any argument does not meet its preconditions.
-
-
Method Details
-
getUrl
The shared link corresponding to either a file or shared link to a folder. If it is for a folder shared link, we use the path param to determine for which file in the folder the view is for.- Returns:
- value for this field, never
null.
-
getPath
The path corresponding to a file in a shared link to a folder. Required for shared links to folders.- Returns:
- value for this field, or
nullif not present.
-
getPassword
Password for the shared link. Required for password-protected shared links to files unless it can be read from a cookie.- Returns:
- value for this field, or
nullif not present.
-
newBuilder
Returns a new builder for creating an instance of this class.- Parameters:
url- The shared link corresponding to either a file or shared link to a folder. If it is for a folder shared link, we use the path param to determine for which file in the folder the view is for. Must not benull.- Returns:
- builder for this class.
- Throws:
IllegalArgumentException- If any argument does not meet its preconditions.
-
hashCode
public int hashCode() -
equals
-
toString
-
toStringMultiline
Returns a String representation of this object formatted for easier readability.The returned String may contain newlines.
- Returns:
- Formatted, multiline String representation of this object
-